%define major 0
%define libname	%mklibname routino %{major}
%define develname %mklibname -d routino

Summary: Router for OpenStreetMap Data
Name: routino
Version: 3.0
Release: %mkrel 2
License: AGPLv3+
Group: File tools
URL: http://www.routino.org/
Source0: http://www.routino.org/download/routino-%{version}.tgz
Patch0: r1801-Dont-create-the-.so-files-on-Windows.diff
Patch1: r1803-Add-a-SONAME-shared-library-version-number.diff
Patch2: install_path.diff
Patch3: rename_router.diff
Patch4: more_rename_router.diff
Patch5: routino-3.0-mga_fixes.diff
Patch6: routino-3.0-skip_cruft.diff
Patch7: r1818-Add-Routino_Version.diff
BuildRequires: lib64bzip2-devel
BuildRequires: zlib1-devel
BuildRequires: lib64lzma-devel

%description
Routino is a command-line application for finding a route between two points
using the dataset of topographical information collected by OpenStreetMap. It
can be used as a routing tool in Marble.

%package -n %{develname}
Summary: Development files for the %{name} library
Group: Development/Libraries
Provides: %{name}-devel = %{version}-%{release}
Requires: %{name} >= %{version}-%{release}

%description -n	%{develname}
Routino is a command-line application for finding a route between two points
using the dataset of topographical information collected by OpenStreetMap. It
can be used as a routing tool in Marble.

This package contains development files for the %{name} library.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p0

# cleanup
rm -f INSTALL.txt doc/INSTALL.txt doc/html/installation.html

# The web stuff needs more work to be packaged. The makefiles will copy things
# into the web directory if it's present, so get rid of it now.
rm -rf web

# Upstream builds but does not install extras. Don't waste build time, nor
# bother fixing the parallel make breakage there.
rm -rf extras

%build
export CFLAGS="%{optflags}"
export LDFLAGS="%{ldflags}"

%make

%install
rm -rf %buildroot
%makeinstall_std libdir=%{_libdir}

%files
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}-*
%{_datadir}/%{name}/
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Tue Feb 21 2017 pp <pp> 3.0-2pclos2017
- rebuild

* Sun Feb 19 2017 pp <pp> 3.0-1pclos2017
- imported package routino

